package com.example.remor.exemplosharedpreferences;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import pojo.Usuario;

/**
 * Created by REMOR on 09/08/2016.
 */
public class TelaLogado extends Activity {

    private TextView tvLogin;
    private Button btDeslogar;
    private Usuario usuario;
    private SharedPreferences spLogin;
    private SharedPreferences.Editor editor;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_tela_logado);
        this.inicializaComponentes();

        Bundle parametros = getIntent().getExtras();
        if(parametros!=null) {
            this.usuario = (Usuario)parametros.getSerializable("usuario");
            tvLogin.setText(this.usuario.getNome());
        }

        this.btDeslogar.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                editor.clear();
                editor.commit();
                Intent itTelaLogin = new Intent(TelaLogado.this, TelaLogin.class);
                startActivity(itTelaLogin);
                finish();
            }
        });


    }

    private void inicializaComponentes() {
        this.tvLogin = (TextView)findViewById(R.id.tv_login);
        this.btDeslogar = (Button)findViewById(R.id.bt_deslogar);
        this.usuario = new Usuario();
        this.spLogin = getApplicationContext().getSharedPreferences(TelaLogin.NOME_ARQUIVO,MODE_APPEND);
        this.editor = this.spLogin.edit();
    }
}
